Package com.saxonica.ee.trans

## Class GeneralComparisonOperand

- java.lang.Object
- - com.saxonica.ee.trans.Characteristic<IntSet>
  - - com.saxonica.ee.trans.GeneralComparisonOperand

-     public class GeneralComparisonOperand
      extends Characteristic<IntSet>

  Given an expression, this characteristic evaluates the set of hash keys corresponding to the string values of the items selected by that expression

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneralComparisonOperand​(StringCollator collator, Expression exp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `IntSet` | `evaluate​(XPathContext context)` | Evaluate the value of this characteristic for the context item
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.saxonica.ee.trans.Characteristic

      `getSlotNumber, setSlotNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralComparisonOperand

          public GeneralComparisonOperand​(StringCollator collator,
                                          Expression exp)

  - ### Method Detail

    - #### evaluate

          public IntSet evaluate​(XPathContext context)
                          throws XPathException

      Description copied from class: `Characteristic`
      Evaluate the value of this characteristic for the context item
      Specified by:
        `evaluate` in class `Characteristic<IntSet>`
      Parameters:
        `context` - the dynamic evaluation context; the context item is the item being matched
      Returns:
        the value of the characteristic
      Throws:
        `XPathException` - if evaluation of the characteristic fails

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`